"""
///
/// b_meta.py
///
/// Author:
///   Woo-Kyoung Noh (rainlood@kldp.org)
///
/// (C) 2001 Woo-Kyoung Noh  http://gnome.or.kr/~rainlood/
///
///
///
///
/// <summary>
/// boinda meta
/// </summary>
"""

from b_item import BoindaItem


class BoindaMeta:
	def __init__(self, lPath=[{'':''},{'':''},]):
		self.lPath = lPath
		self.lenofpath = len(lPath)

	def __getitem__(self, i):
		if i==self.lenofpath:
			raise IndexError
		return BoindaItem(self.lPath[i])


if __name__ == '__main__':
	from b_test import unittest, BoindaTest
	class BoindaMetaTestCase(unittest.TestCase):
		def setUp(self):
			self.meta = BoindaMeta()

		def checkEqual(self):
			assert 1==1

	BoindaTest ( BoindaMetaTestCase )
